summaryrefslogtreecommitdiffstats
path: root/network/wp-cli/wp-cli.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/wp-cli/wp-cli.SlackBuild')
-rw-r--r--network/wp-cli/wp-cli.SlackBuild9
1 files changed, 3 insertions, 6 deletions
diff --git a/network/wp-cli/wp-cli.SlackBuild b/network/wp-cli/wp-cli.SlackBuild
index 248c142e75..e68654632f 100644
--- a/network/wp-cli/wp-cli.SlackBuild
+++ b/network/wp-cli/wp-cli.SlackBuild
@@ -2,7 +2,7 @@
#
# Slackware build script for wp-cli
#
-# Copyright 2016-2022 Corrado Franco (https://corradofranco.it)
+# Copyright 2016-2023 Corrado Franco (https://corradofranco.it)
# All rights reserved.
#
# This program is free software: you can redistribute it and/or modify
@@ -28,16 +28,13 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=wp-cli
-VERSION=${VERSION:-2.6.0}
+VERSION=${VERSION:-2.10.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
ARCH=noarch
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -58,7 +55,7 @@ install -Dm755 $CWD/$PRGNAM-$VERSION.phar $PKG/usr/bin/wp
install -Dm644 $CWD/files/wp-completion.bash $PKG/usr/share/bash-completion/completions/wp
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $CWD/files/LICENSE $PKG/usr/doc/$PRGNAM-$VERSION || true
+cp $CWD/files/LICENSE $PKG/usr/doc/$PRGNAM-$VERSION || true
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install